package com.tykj.workflowcore.model_layer.utils;


/**
 * @ClassName ClassTypeLength
 * @Description TODO
 * @Author WWW
 * @Date 2021/3/15 9:53
 * @Version 1.0
 */
public class ClassTypeLength {
    public static String STRING = "class java.lang.String";
    public static String Integer = "class java.lang.Integer";
    public static String Double = "class java.lang.Double";

    public static int setLength(String genericType) {
        int length ;

        if (STRING.equals(genericType)) {
            length = 255;
        } else if (Integer.equals(genericType)) {
            length = 11;
        } else if (Double.equals(genericType)) {
            length = 10;
        } else {
            length = 0;
        }
        return length;
    }
}
